Bug 237487 - Missing dependencies
Summary: Missing dependencies
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: esound   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-23 14:54 UTC by Matthias Clasen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 1:0.2.38-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 14:11:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthias Clasen 2007-04-23 14:54:31 UTC
/usr/lib/libesddsp.so is not linked against libesd:

[mclasen@dhcp83-33 ~]$ ldd -r /usr/lib/libesddsp.so.0
        linux-gate.so.1 =>  (0x008f2000)
        libasound.so.2 => /lib/libasound.so.2 (0x00598000)
        libaudiofile.so.0 => /usr/lib/libaudiofile.so.0 (0x00d88000)
        libm.so.6 => /lib/libm.so.6 (0x00be4000)
        libc.so.6 => /lib/libc.so.6 (0x00c32000)
        libdl.so.2 => /lib/libdl.so.2 (0x00110000)
        libpthread.so.0 => /lib/libpthread.so.0 (0x00115000)
        /lib/ld-linux.so.2 (0x80000000)
undefined symbol: esd_free_all_info     (/usr/lib/libesddsp.so.0)
undefined symbol: esd_set_stream_pan    (/usr/lib/libesddsp.so.0)
undefined symbol: esd_open_sound        (/usr/lib/libesddsp.so.0)
undefined symbol: esd_get_all_info      (/usr/lib/libesddsp.so.0)

Comment 1 Bastien Nocera 2007-04-23 15:23:55 UTC
Was fixed upstream in:
http://bugzilla.gnome.org/show_bug.cgi?id=409269#c2

(not released yet)

Comment 2 Bastien Nocera 2007-04-23 15:33:23 UTC
I've asked upstream to do a new release as there's a CPU spinner bug and some
small leaks fixed in the latest SVN trunk.

Comment 3 Bastien Nocera 2007-04-23 17:13:46 UTC
Upstream at:
http://bugzilla.gnome.org/show_bug.cgi?id=432687

Comment 4 Bastien Nocera 2007-04-23 17:25:14 UTC
(In reply to comment #3)
> Upstream at:
> http://bugzilla.gnome.org/show_bug.cgi?id=432687

Wrong bug...

Comment 5 Bastien Nocera 2007-05-08 14:11:56 UTC
Should be fixed in esound-1:0.2.38-1.fc7


Note You need to log in before you can comment on or make changes to this bug.